[IPython-user] python-mode.el and ipython.el

Dryice Liu dryiceliu at gmail.com
Wed Apr 13 09:10:19 CDT 2005


Andrea Riciputi <ariciputi at pito.com> wrote:
> Now my question is: which of these versions fulfills the requirements
> to properly work with latest version of ipython? And for sake of

You need python-mode.el 4.68 or above. You can download either the
version Fernando points to or from the python-mode cvsweb on sf.net.

However it is said that python-mode.el is developed mainly with XEmacs
in mind. At least I can't get it work very well with my CVS Gnu
Emacs. For example, every time I hit the TAB key, I was sent to another
In[] line. As I use TAB key so often, it cost me several In[]s for a
single command :(

Currently I just use IPython within ansi-term for interactive usage,
it feels like in any other terminals. And python.el (in CVS Emacs) for
a block of code or looking up references.

-- 
Dryice @ http://dryice.3322.org

Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/sylvester-response.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 186 bytes
Desc: not available
Url : http://projects.scipy.org/pipermail/ipython-user/attachments/20050413/18db2488/attachment-0002.bin 


More information about the IPython-user mailing list